Index: trunk/prototype/modules/calendar/css/style.css
===================================================================
--- trunk/prototype/modules/calendar/css/style.css	(revision 5399)
+++ trunk/prototype/modules/calendar/css/style.css	(revision 5427)
@@ -186,4 +186,14 @@
 
 /* fc custumize */
+
+.blocked-event div{
+background: -moz-linear-gradient(-45deg,  rgba(0,0,0,0) 0%, rgba(0,0,0,0) 1%, rgba(0,0,0,0.1) 5%, rgba(0,0,0,0) 9%, rgba(0,0,0,0) 13%, rgba(0,0,0,0.1) 17%, rgba(0,0,0,0) 21%, rgba(0,0,0,0) 25%, rgba(0,0,0,0.1) 29%, rgba(0,0,0,0) 33%, rgba(0,0,0,0) 37%, rgba(0,0,0,0.1) 41%, rgba(0,0,0,0) 45%, rgba(0,0,0,0) 49%, rgba(0,0,0,0.1) 53%, rgba(0,0,0,0) 57%, rgba(0,0,0,0) 61%, rgba(0,0,0,0.1) 65%, rgba(0,0,0,0) 69%, rgba(0,0,0,0) 73%, rgba(0,0,0,0.1) 77%, rgba(0,0,0,0.01) 81%, rgba(0,0,0,0) 85%, rgba(0,0,0,0.1) 89%, rgba(0,0,0,0) 93%, rgba(0,0,0,0) 97%, rgba(0,0,0,0) 100%); /* FF3.6+ */
+background: -webkit-gradient(linear, left top, right bottom, color-stop(0%,rgba(0,0,0,0)), color-stop(1%,rgba(0,0,0,0)), color-stop(5%,rgba(0,0,0,0.1)), color-stop(9%,rgba(0,0,0,0)), color-stop(13%,rgba(0,0,0,0)), color-stop(17%,rgba(0,0,0,0.1)), color-stop(21%,rgba(0,0,0,0)), color-stop(25%,rgba(0,0,0,0)), color-stop(29%,rgba(0,0,0,0.1)), color-stop(33%,rgba(0,0,0,0)), color-stop(37%,rgba(0,0,0,0)), color-stop(41%,rgba(0,0,0,0.1)), color-stop(45%,rgba(0,0,0,0)), color-stop(49%,rgba(0,0,0,0)), color-stop(53%,rgba(0,0,0,0.1)), color-stop(57%,rgba(0,0,0,0)), color-stop(61%,rgba(0,0,0,0)), color-stop(65%,rgba(0,0,0,0.1)), color-stop(69%,rgba(0,0,0,0)), color-stop(73%,rgba(0,0,0,0)), color-stop(77%,rgba(0,0,0,0.1)), color-stop(81%,rgba(0,0,0,0.01)), color-stop(85%,rgba(0,0,0,0)), color-stop(89%,rgba(0,0,0,0.1)), color-stop(93%,rgba(0,0,0,0)), color-stop(97%,rgba(0,0,0,0)), color-stop(100%,rgba(0,0,0,0))); /* Chrome,Safari4+ */
+background: -webkit-linear-gradient(-45deg,  rgba(0,0,0,0) 0%,rgba(0,0,0,0) 1%,rgba(0,0,0,0.1) 5%,rgba(0,0,0,0) 9%,rgba(0,0,0,0) 13%,rgba(0,0,0,0.1) 17%,rgba(0,0,0,0) 21%,rgba(0,0,0,0) 25%,rgba(0,0,0,0.1) 29%,rgba(0,0,0,0) 33%,rgba(0,0,0,0) 37%,rgba(0,0,0,0.1) 41%,rgba(0,0,0,0) 45%,rgba(0,0,0,0) 49%,rgba(0,0,0,0.1) 53%,rgba(0,0,0,0) 57%,rgba(0,0,0,0) 61%,rgba(0,0,0,0.1) 65%,rgba(0,0,0,0) 69%,rgba(0,0,0,0) 73%,rgba(0,0,0,0.1) 77%,rgba(0,0,0,0.01) 81%,rgba(0,0,0,0) 85%,rgba(0,0,0,0.1) 89%,rgba(0,0,0,0) 93%,rgba(0,0,0,0) 97%,rgba(0,0,0,0) 100%); /* Chrome10+,Safari5.1+ */
+background: -o-linear-gradient(-45deg,  rgba(0,0,0,0) 0%,rgba(0,0,0,0) 1%,rgba(0,0,0,0.1) 5%,rgba(0,0,0,0) 9%,rgba(0,0,0,0) 13%,rgba(0,0,0,0.1) 17%,rgba(0,0,0,0) 21%,rgba(0,0,0,0) 25%,rgba(0,0,0,0.1) 29%,rgba(0,0,0,0) 33%,rgba(0,0,0,0) 37%,rgba(0,0,0,0.1) 41%,rgba(0,0,0,0) 45%,rgba(0,0,0,0) 49%,rgba(0,0,0,0.1) 53%,rgba(0,0,0,0) 57%,rgba(0,0,0,0) 61%,rgba(0,0,0,0.1) 65%,rgba(0,0,0,0) 69%,rgba(0,0,0,0) 73%,rgba(0,0,0,0.1) 77%,rgba(0,0,0,0.01) 81%,rgba(0,0,0,0) 85%,rgba(0,0,0,0.1) 89%,rgba(0,0,0,0) 93%,rgba(0,0,0,0) 97%,rgba(0,0,0,0) 100%); /* Opera 11.10+ */
+background: -ms-linear-gradient(-45deg,  rgba(0,0,0,0) 0%,rgba(0,0,0,0) 1%,rgba(0,0,0,0.1) 5%,rgba(0,0,0,0) 9%,rgba(0,0,0,0) 13%,rgba(0,0,0,0.1) 17%,rgba(0,0,0,0) 21%,rgba(0,0,0,0) 25%,rgba(0,0,0,0.1) 29%,rgba(0,0,0,0) 33%,rgba(0,0,0,0) 37%,rgba(0,0,0,0.1) 41%,rgba(0,0,0,0) 45%,rgba(0,0,0,0) 49%,rgba(0,0,0,0.1) 53%,rgba(0,0,0,0) 57%,rgba(0,0,0,0) 61%,rgba(0,0,0,0.1) 65%,rgba(0,0,0,0) 69%,rgba(0,0,0,0) 73%,rgba(0,0,0,0.1) 77%,rgba(0,0,0,0.01) 81%,rgba(0,0,0,0) 85%,rgba(0,0,0,0.1) 89%,rgba(0,0,0,0) 93%,rgba(0,0,0,0) 97%,rgba(0,0,0,0) 100%); /* IE10+ */
+background: linear-gradient(-45deg,  rgba(0,0,0,0) 0%,rgba(0,0,0,0) 1%,rgba(0,0,0,0.1) 5%,rgba(0,0,0,0) 9%,rgba(0,0,0,0) 13%,rgba(0,0,0,0.1) 17%,rgba(0,0,0,0) 21%,rgba(0,0,0,0) 25%,rgba(0,0,0,0.1) 29%,rgba(0,0,0,0) 33%,rgba(0,0,0,0) 37%,rgba(0,0,0,0.1) 41%,rgba(0,0,0,0) 45%,rgba(0,0,0,0) 49%,rgba(0,0,0,0.1) 53%,rgba(0,0,0,0) 57%,rgba(0,0,0,0) 61%,rgba(0,0,0,0.1) 65%,rgba(0,0,0,0) 69%,rgba(0,0,0,0) 73%,rgba(0,0,0,0.1) 77%,rgba(0,0,0,0.01) 81%,rgba(0,0,0,0) 85%,rgba(0,0,0,0.1) 89%,rgba(0,0,0,0) 93%,rgba(0,0,0,0) 97%,rgba(0,0,0,0) 100%); /* W3C */
+filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#00000000', endColorstr='#00000000',GradientType=1 ); /* IE6-9 fallback on horizontal gradient */
+}
 
 .fc-state-default .fc-button-effect span {
Index: trunk/prototype/modules/calendar/js/init.js
===================================================================
--- trunk/prototype/modules/calendar/js/init.js	(revision 5409)
+++ trunk/prototype/modules/calendar/js/init.js	(revision 5427)
@@ -204,8 +204,16 @@
 		eventDrop: function( event ){
 			DataLayer.put( "schedulable:calendar", event );
+
+			event.editable = false;
+			event.className = "blocked-event";
+			calendar.fullCalendar( 'updateEvent', event );
 		},
 
 		eventResize: function( event ){
 			DataLayer.put( "schedulable:calendar", event );
+
+			event.editable = false;
+			event.className = "blocked-event";
+			calendar.fullCalendar( 'updateEvent', event );
 		},
 