Index: /trunk/prototype/modules/calendar/css/style.css
===================================================================
--- /trunk/prototype/modules/calendar/css/style.css	(revision 5427)
+++ /trunk/prototype/modules/calendar/css/style.css	(revision 5442)
@@ -187,5 +187,5 @@
 /* fc custumize */
 
-.blocked-event div{
+.blocked-event div, .blocked-event-permision div{
 background: -moz-linear-gradient(-45deg,  rgba(0,0,0,0) 0%, rgba(0,0,0,0) 1%, rgba(0,0,0,0.1) 5%, rgba(0,0,0,0) 9%, rgba(0,0,0,0) 13%, rgba(0,0,0,0.1) 17%, rgba(0,0,0,0) 21%, rgba(0,0,0,0) 25%, rgba(0,0,0,0.1) 29%, rgba(0,0,0,0) 33%, rgba(0,0,0,0) 37%, rgba(0,0,0,0.1) 41%, rgba(0,0,0,0) 45%, rgba(0,0,0,0) 49%, rgba(0,0,0,0.1) 53%, rgba(0,0,0,0) 57%, rgba(0,0,0,0) 61%, rgba(0,0,0,0.1) 65%, rgba(0,0,0,0) 69%, rgba(0,0,0,0) 73%, rgba(0,0,0,0.1) 77%, rgba(0,0,0,0.01) 81%, rgba(0,0,0,0) 85%, rgba(0,0,0,0.1) 89%, rgba(0,0,0,0) 93%, rgba(0,0,0,0) 97%, rgba(0,0,0,0) 100%); /* FF3.6+ */
 background: -webkit-gradient(linear, left top, right bottom, color-stop(0%,rgba(0,0,0,0)), color-stop(1%,rgba(0,0,0,0)), color-stop(5%,rgba(0,0,0,0.1)), color-stop(9%,rgba(0,0,0,0)), color-stop(13%,rgba(0,0,0,0)), color-stop(17%,rgba(0,0,0,0.1)), color-stop(21%,rgba(0,0,0,0)), color-stop(25%,rgba(0,0,0,0)), color-stop(29%,rgba(0,0,0,0.1)), color-stop(33%,rgba(0,0,0,0)), color-stop(37%,rgba(0,0,0,0)), color-stop(41%,rgba(0,0,0,0.1)), color-stop(45%,rgba(0,0,0,0)), color-stop(49%,rgba(0,0,0,0)), color-stop(53%,rgba(0,0,0,0.1)), color-stop(57%,rgba(0,0,0,0)), color-stop(61%,rgba(0,0,0,0)), color-stop(65%,rgba(0,0,0,0.1)), color-stop(69%,rgba(0,0,0,0)), color-stop(73%,rgba(0,0,0,0)), color-stop(77%,rgba(0,0,0,0.1)), color-stop(81%,rgba(0,0,0,0.01)), color-stop(85%,rgba(0,0,0,0)), color-stop(89%,rgba(0,0,0,0.1)), color-stop(93%,rgba(0,0,0,0)), color-stop(97%,rgba(0,0,0,0)), color-stop(100%,rgba(0,0,0,0))); /* Chrome,Safari4+ */
@@ -196,4 +196,6 @@
 filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#00000000', endColorstr='#00000000',GradientType=1 ); /* IE6-9 fallback on horizontal gradient */
 }
+
+.blocked-event-permision {cursor: hand}
 
 .fc-state-default .fc-button-effect span {
Index: /trunk/prototype/modules/calendar/js/calendar.codecs.js
===================================================================
--- /trunk/prototype/modules/calendar/js/calendar.codecs.js	(revision 5437)
+++ /trunk/prototype/modules/calendar/js/calendar.codecs.js	(revision 5442)
@@ -714,10 +714,22 @@
 			
 		var calendar = DataLayer.get('calendar', evt.calendar);
+		
+		var eventEditable = function(){
+			var attendee = {};
+			for(var i = 0; i < evt.participants.length; i++){
+				attendee = DataLayer.get('participant', evt.participants[i]);
+				if(!!parseInt(attendee.isOrganizer))
+					if(attendee.user == User.me.id)
+						return true;
+					else
+						return false;
+			}
+		}
 		  
-		grouped[ evt.calendar ].push( { id: evt.URI || evt.id,
+		grouped[ evt.calendar ].push( DataLayer.merge({ id: evt.URI || evt.id,
 						title: Encoder.htmlDecode(evt.summary),
 						start: Timezone.getDateTimezone(new Date(parseInt( evt.startTime )), calendar.timezone, false),
 						end:   Timezone.getDateTimezone(new Date(parseInt( evt.endTime ) - (!!parseInt(evt.allDay) ? 86400000 : 0)), calendar.timezone, false ),
-						allDay: parseInt( evt.allDay ) } );
+						allDay: parseInt( evt.allDay ) }, eventEditable() ? {} : {editable: false, className: 'blocked-event-permision'}) );
 	});
 
Index: /trunk/prototype/modules/calendar/js/helpers.js
===================================================================
--- /trunk/prototype/modules/calendar/js/helpers.js	(revision 5437)
+++ /trunk/prototype/modules/calendar/js/helpers.js	(revision 5442)
@@ -552,8 +552,5 @@
 			blkAddAtendee.find('.add-attendee-search input').keydown(function(event) {
 
-				if(event.keyCode == '13') {
-					Encoder.EncodeType = "entity";
-					$(this).val(Encoder.htmlEncode($(this).val()));
-			
+				if(event.keyCode == '13') {			
 					var result = DataLayer.get('user', ["*", "name", $(this).val()], true);
 
Index: /trunk/prototype/modules/calendar/js/init.js
===================================================================
--- /trunk/prototype/modules/calendar/js/init.js	(revision 5427)
+++ /trunk/prototype/modules/calendar/js/init.js	(revision 5442)
@@ -56,5 +56,6 @@
 			{	
 				$tabs.tabs("select", "#calendar");
-				$('#calendar').fullCalendar('gotoDate',$(this).siblings('span').html(), Date.getMonthNumberFromName($(this).html() == 'Março' ? 'Mar' : $(this).html()),'01');
+				var toDate = $('.block-vertical-toolbox .mini-calendar').datepicker("getDate").toString('yyyy-MM-dd').split('-');
+				$('#calendar').fullCalendar('gotoDate', toDate[0], parseInt(toDate[1]-1), toDate[2] );
 				$('#calendar').fullCalendar( 'changeView', 'agendaDay' );
 			}			
@@ -66,5 +67,5 @@
 		$('.ui-datepicker-title .ui-datepicker-month').live('click',function(){
 			$tabs.tabs("select", "#calendar");
-			$('#calendar').fullCalendar('gotoDate',$(this).html(), '0', '01');
+			$('#calendar').fullCalendar('gotoDate',$(this).siblings('span').html(), Date.getMonthNumberFromName($(this).html() == 'Março' ? 'Mar' : $(this).html()),'01');
  			$('#calendar').fullCalendar( 'changeView', 'month');
 		});
@@ -72,6 +73,5 @@
 		$('.ui-datepicker-title .ui-datepicker-year').live('click',function(){
 			$tabs.tabs("select", "#calendar");
-			var currentDate = $.fullCalendar.formatDate($('#calendar').fullCalendar('getDate'), "yyyy-MM-dd").split('-');
-			$('#calendar').fullCalendar('gotoDate',$('.ui-datepicker-title .ui-datepicker-year').html(), Date.getMonthNumberFromName($('.ui-datepicker-title .ui-datepicker-month').html()), currentDate[2]);
+			$('#calendar').fullCalendar('gotoDate',$(this).html(), '0', '01');
 			$('.fc-button-year').click();
 		});