Index: trunk/expressoMail1_2/js/common_functions.js
===================================================================
--- trunk/expressoMail1_2/js/common_functions.js	(revision 5455)
+++ trunk/expressoMail1_2/js/common_functions.js	(revision 5456)
@@ -558,5 +558,5 @@
 		connector.loadScript("QuickCatalogSearch");
 		if (typeof(QuickCatalogSearch) == 'undefined'){
-			setTimeout('emQuickSearch("'+emailList+'", "'+field+'", "'+ID+'", "'+Type+'")',500);
+			setTimeout('emQuickSearch("'+emailList+'", "'+field+'", "'+ID+'", "'+Type+'", "'+force+'")',500);
 			return false;
 		}
@@ -566,5 +566,5 @@
 		connector.loadScript("QuickSearchUser");
 		if (typeof(QuickSearchUser) == 'undefined'){
-			setTimeout('emQuickSearch("'+emailList+'", "'+field+'", "'+ID+'", "'+Type+'")',500);
+			setTimeout('emQuickSearch("'+emailList+'", "'+field+'", "'+ID+'", "'+Type+'", "'+force+'")',500);
 			return false;
 		}
Index: trunk/expressoMail1_2/js/draw_api.js
===================================================================
--- trunk/expressoMail1_2/js/draw_api.js	(revision 5443)
+++ trunk/expressoMail1_2/js/draw_api.js	(revision 5456)
@@ -3366,5 +3366,5 @@
 	var tr1 = document.createElement("TR");
 	var td1 = document.createElement("TD");
-	td1.innerHTML = '<button title="'+get_lang("To")+':" id="to_button_'+ID+'" name="to" class="button small adress_button">'+get_lang("To")+':</button>';
+	td1.innerHTML = '<button title="'+get_lang('Search') + " | " + get_lang('Use F9 Key as shortcut.')+'" id="to_button_'+ID+'" name="to" class="button small adress_button">'+get_lang("To")+':</button>';
 	//td1.setAttribute("noWrap","true");
 	td1.style.width = "70px";
@@ -3449,5 +3449,5 @@
 	tr2.style.display = 'none';
 	var td2 = document.createElement("TD");
-	td2.innerHTML = '<button title="Cc:" id="cc_button_'+ID+'" name="cc" class="button small adress_button">Cc:</button>';
+	td2.innerHTML = '<button title="'+get_lang('Search') + " | " + get_lang('Use F9 Key as shortcut.')+'" id="cc_button_'+ID+'" name="cc" class="button small adress_button">Cc:</button>';
 	//td2.setAttribute("noWrap","true");
 	//td2.style.width = "1%";
@@ -3523,5 +3523,5 @@
 		var td3 = document.createElement("TD");
 		//td3.setAttribute("noWrap","true");
-		td3.innerHTML = '<button title="'+get_lang("CCo")+':" id="cc_button_'+ID+'" name="cco" class="button small adress_button">'+get_lang("CCo")+':</button>';
+		td3.innerHTML = '<button title="'+get_lang('Search') + " | " + get_lang('Use F9 Key as shortcut.')+'" id="cc_button_'+ID+'" name="cco" class="button small adress_button">'+get_lang("CCo")+':</button>';
 		//td3.style.width = "1%";
 
Index: trunk/expressoMail1_2/js/QuickCatalogSearch.js
===================================================================
--- trunk/expressoMail1_2/js/QuickCatalogSearch.js	(revision 5423)
+++ trunk/expressoMail1_2/js/QuickCatalogSearch.js	(revision 5456)
@@ -123,5 +123,8 @@
 		switch(data_['type_catalog']) {
 			case 'G':
-				var extra_fields = (data_['extra_ldap_fields']).split("#");   
+				if(data['extra_ldap_fields'].length != 0)
+					var extra_fields = (data['extra_ldap_fields']).split("#");   
+				else
+					var extra_fields = [];   
 				if(preferences.default_fields_quick_search != 0) {
 					details.append('<p><label class="attribute">' + utf8_decoder(data_[id_contact].cn[0]) + "</label>" + '<span class="value">' + data_[id_contact].mail[0] + '</span></p>');
@@ -151,5 +154,8 @@
 				break;
 			default:
-				var extra_fields = (data_['extra_ldap_fields']).split("#");   
+				if(data['extra_ldap_fields'].length != 0)
+					var extra_fields = (data['extra_ldap_fields']).split("#");   
+				else
+					var extra_fields = [];   
                 if(preferences.default_fields_quick_search != 0 || data_[id_contact].type_contact == "P") {
 					if(utf8_decoder(data_[id_contact].cn) == 'undefined')
@@ -279,9 +285,12 @@
 		switch (data['type_catalog']) {
 			case 'G':
-				var extra_fields = (data['extra_ldap_fields']).split("#");   
+				if(data['extra_ldap_fields'].length != 0)
+					var extra_fields = (data['extra_ldap_fields']).split("#");   
+				else
+					var extra_fields = [];   
 				if(preferences.default_fields_quick_search != 0) {  				
 					details.append('<p><label class="attribute">' + utf8_decoder(data[first_contact].cn[0]) + "</label>" + '<span class="value">' + data[first_contact].mail[0] + "</span></p>");
 					details.append('<p><label class="attribute">Telefone</label>' + '<span class="value">' + data[first_contact].telephonenumber[0] + '</span></p>');
-				}
+				} 
 				for (var i=0; i<=extra_fields.length-1; i++) {
 					var campo = extra_fields[i].substr(extra_fields[i].indexOf("|")+1);    
@@ -305,6 +314,9 @@
 					details.append('<p><label class="attribute">Telefone</label>' + '<span class="value">' + data[first_contact].telephonenumber  + '</span></p>');
 				break;
-			default:				
-				var extra_fields = (data['extra_ldap_fields']).split("#");   
+			default:	
+				if(data['extra_ldap_fields'].length != 0)
+					var extra_fields = (data['extra_ldap_fields']).split("#");   
+				else
+					var extra_fields = [];   
 				if(preferences.default_fields_quick_search != 0 || data[first_contact].type_contact == "P") {
 					if(utf8_decoder(data[first_contact].cn) != 'undefined')
@@ -354,5 +366,8 @@
 							switch(data['type_catalog']) {
 								case 'G':
-									var extra_fields = (data['extra_ldap_fields']).split("#");   
+									if(data['extra_ldap_fields'].length != 0)
+										var extra_fields = (data['extra_ldap_fields']).split("#");   
+									else
+										var extra_fields = [];   
 									if(preferences.default_fields_quick_search != 0) {	
 										details.append('<p><label class="attribute">' + utf8_decoder(data[this.value].cn[0]) + "</label>" + '<span class="value">' + data[this.value].mail[0] + "</span></p>");
@@ -380,5 +395,8 @@
 									break;
 								default:
-									var extra_fields = (data['extra_ldap_fields']).split("#");   
+									if(data['extra_ldap_fields'].length != 0)
+										var extra_fields = (data['extra_ldap_fields']).split("#");   
+									else
+										var extra_fields = [];     
 									if(preferences.default_fields_quick_search != 0 || data[this.value].type_contact == "P") {
 										if(utf8_decoder(data[this.value].cn) == 'undefined')