Index: trunk/prototype/modules/mail/css/foldertree.css
===================================================================
--- trunk/prototype/modules/mail/css/foldertree.css	(revision 5486)
+++ trunk/prototype/modules/mail/css/foldertree.css	(revision 5486)
@@ -0,0 +1,61 @@
+#content_folders.foldertree-skin-prognus span.selected {font-weight:bold;}
+#content_folders.foldertree-skin-prognus span.inbox {}
+#content_folders.foldertree-skin-prognus span.trash {background-image: url(../img/bin.png)!important;}
+#content_folders.foldertree-skin-prognus span.drafts {background-image: url(../img/folder_page_white.png)!important;}
+#content_folders.foldertree-skin-prognus span.spam {background-image: url(../img/folder_delete.png)!important;}
+#content_folders.foldertree-skin-prognus span.sent {background-image: url(../img/folder_go.png)!important;}
+#content_folders.foldertree-skin-prognus span.folder {display: block;padding-bottom: 1px;padding-left: 18px;padding-right: 0;padding-top: 1px;}
+#content_folders.treeview .closed {display:block;}
+
+.folders_loading {
+	background: url(../img/loading.gif) !important;
+	background-position: 0 0 !important;
+	background-repeat : no-repeat !important;
+	background-size : 15px auto !important;
+}
+
+.draggin_box{
+	cursor : pointer;
+	background-color: #CDC5BF;
+	float: left;
+	width : auto; 
+	height: 16px; 
+	border:1px solid #333;
+	text-align: right;
+}
+
+.draggin_mail{
+	float: left;
+	color : red;
+	text-align: right;
+	font-weight : bold;
+	font-size : 11px;
+	font-family: Verdana, Arial, Helvetica, sans-serif;
+	padding-right : 5px;
+	padding-left : 25px;
+	background-image: url(../img/move.png);
+	background-position: 0px 0px;
+	background-repeat:no-repeat;
+}
+
+.draggin_folder{
+	float: left;
+	background-image: url(../img/folder.png);
+	background-position: 0px 0px;
+	background-repeat:no-repeat;
+	padding-left : 20px;
+	color : red;
+	text-align: right;
+	font-weight : bold;
+	padding-right : 5px;
+}
+
+.collapse_folders_td{
+	width: 12px;
+	height:100%;
+	border-radius : 5px;
+	border-left : 1px solid #CCCCCC;
+}
+.collapse_folders_td.collapse_folders_td_over{
+	border-left: 1px solid #1B75BB;
+} 
Index: trunk/prototype/modules/mail/js/foldertree.js
===================================================================
--- trunk/prototype/modules/mail/js/foldertree.js	(revision 5486)
+++ trunk/prototype/modules/mail/js/foldertree.js	(revision 5486)
@@ -0,0 +1,391 @@
+var init_tree = 0;
+var selected;
+
+function unorphanize(root, element) {
+	var ok = false;
+	for (var i=0; i<root.length; i++) {
+		if (root[i].id == element.parentFolder) {
+			element.children = new Array(); 
+			root[i].children.push(element);
+			return true;
+		} else if (ok = unorphanize(root[i].children, element)) {
+			break;
+		}
+	}
+	return ok;
+}
+
+function valid_tabs(children_of_this_folder, folder_to_move){
+	var borders_open = $("#border_tr").children();
+
+	var error = false;
+	for(var i = 1; i <= borders_open.length -2; i ++){
+		//VERIFICA A CADA FILHO DA PASTA SE ESTA MENSAGEM E DESTA PASTA
+		$.each(children_of_this_folder, function(index, value){
+			if($(children_of_this_folder[index]).attr('id') == openTab.imapBox[$(borders_open[i]).find("input[type=hidden]").attr("name")]){
+				error = true;
+				alert(get_lang("One or more messages from any sub-folder are open"));
+				return error;
+				
+			}
+		});
+		if(error){
+			return error;
+		}
+		//VERIFICA SE EXISTE NA PASTA A SER MOVIDA
+		if(openTab.imapBox[$(borders_open[i]).find("input[type=hidden]").attr("name")] == folder_to_move){
+			error = true;
+			alert(get_lang("One or more messages from this folder are open"));
+			return error;
+		}
+	}
+}
+
+function draw_new_tree_folder(callback){
+	var folders = DataLayer.get("folder", true);
+	if(!selected){
+		selected = "INBOX";
+	}
+	var tree1 = new Array();
+	var tree2 = new Array();
+	var tree3 = new Array();
+	for (var i=0; i<folders.length; i++) {
+		if (/^INBOX/.test(folders[i].id)) {
+			if (!unorphanize(tree1, folders[i])) {
+				folders[i].children = new Array();
+				tree1.push(folders[i]);
+			}
+		}
+		else if (/^user/.test(folders[i].id)) {
+			if (!unorphanize(tree2, folders[i])) {
+				folders[i].children = new Array();
+				tree2.push(folders[i]);
+			}
+		}
+		else if (/^local_messages/.test(folders[i].id)) {
+			if (!unorphanize(tree3, folders[i])) {
+				folders[i].children = new Array();
+				tree3.push(folders[i]);
+			}
+		}
+	}
+	$("#content_folders").removeClass("menu-degrade").parent().removeClass("image-menu");
+	DataLayer.render('../prototype/modules/mail/templates/detailedfoldertree.ejs', {folders: [tree1, tree2, tree3]}, function(html){
+		var folders_html = $("#content_folders").html(html).find(".mainfoldertree").treeview({
+				persist: "cookie",
+				animated: "fast"
+		}).click(function(event){
+			
+			// MUDANÇA DE PASTAS!
+			var target = $(event.target);		
+			if( target.is('.collapsable-hitarea, .expandable-hitarea, .lastCollapsable, .lastExpandable, .treeview ,.folder_unseen,.ui-icon, .float-menu, .new_folder') )
+				return;
+			if( !target.attr('id') )
+				target = target.parent();
+			if (target[0] == $(".mainfoldertree")[0]) return;
+			var targetId = target.attr('id');
+			var child = target.find('.folder');
+			  
+			if(!target.is('.mainfoldertree > .expandable, .mainfoldertree > .collapsable')){
+				$('.filetree span.folder.selected').removeClass('selected');
+				$(target).children('.folder').addClass('selected');
+			}
+			selected = target.attr('id');
+			change_folder(target.attr('id'), child.attr('title'));			
+		});
+		folders_html.find('[id="'+selected+'"]').children().addClass("selected").end().end().find("li:first").find(".folder").not(".head_folder,.inbox,.drafts,.sent,.spam,.trash").draggable({
+			// DRAG DE PASTAS
+			start : function(){
+				$(this).css("color", "gray");
+			},
+			stop : function(){
+				$(this).css("color", "");
+			},
+			revert: "invalid",
+			helper: function(event){
+				if($.trim(($(this).text().split("["))[0]).length > 18)
+					return $(DataLayer.render('../prototype/modules/mail/templates/draggin_box.ejs', {texto : (($(this).text().split("["))[0]).substring(0,18) + "...", type: "folder"}));
+				return $(DataLayer.render('../prototype/modules/mail/templates/draggin_box.ejs', {texto : (($(this).text().split("["))[0]), type: "folder"}));
+			},
+			refreshPositions: true,
+			scroll: true, 
+			scrollSensitivity: 100,
+			scrollSpeed: 100,
+			containment: "#divAppbox"
+		}).end().droppable({
+			//DROP DE PASTAS
+			over : function(a, b){
+				//INICIO : SE A PASTA CONTER FILHAS EXPANDE 
+				if(($(this)[0] != $(this).parent().find(".head_folder")[0]))
+					if($(this).prev()[0])
+						if($(this).parent().find(".expandable-hitarea")[0] == $(this).prev()[0]){
+							$(this).prev().trigger("click");
+						}
+				//FIM : SE A PASTA CONTER FILHAS EXPANDE
+				
+				//SETA BORDA EM VOLTA DA PASTA
+				$(this).css("border", "1px solid black");
+			},
+			out : function(){
+				//RETIRA BORDA EM VOLTA DA PASTA
+				$(this).css("border", "");
+			},
+			drop : function(me, target){
+				$(me.target).css("border", "");
+				if($(me.target).parent().attr('id') == undefined){
+					var folder_to = 'INBOX';
+					var to_folder_title = get_lang("Inbox");
+				}else{
+					var folder_to = $(me.target).parent().attr('id');
+					var to_folder_title = $(me.target).attr('title');
+				}		
+				var folder_to_move = target.draggable.parent().attr('id');
+				var border_id = target.draggable.find("input[type=hidden]").attr("name");
+				// Mensagens : SE O DROP VIER DA LISTA DE MENSAGENS :
+				if(folder_to_move == "tbody_box"){
+					move_msgs2(get_current_folder(), 'selected', 0, folder_to, to_folder_title,true);
+					return refresh();
+				}
+				//SE FOR DE UMA PESQUISA RAPIDA
+				else if(target.draggable.parents('[id^="content_id_"]')[0]){
+					move_search_msgs("content_id_"+border_id, folder_to, to_folder_title);
+					return refresh();
+				}
+				// Mensagens : SE O DROP VIER DE UMA ABA ABERTA
+				else if(folder_to_move == "border_tr"){
+					var id_msg = border_id.substring("_");
+					folder = $("#input_folder_"+border_id+"_r")[0] ? $("#input_folder_"+border_id+"_r").val() : (openTab.imapBox[border_id] ? openTab.imapBox[border_id]:get_current_folder());
+					move_msgs2(folder, id_msg, border_id, folder_to, to_folder_title,true);
+					return refresh();
+				}
+				// SE O DROP VIER DA LISTA DE PASTAS
+				else{
+					var teste = folder_to_move.split(cyrus_delimiter);	
+					teste = folder_to+cyrus_delimiter+teste[teste.length-1];
+					
+					//VERIFICA SE EXISTE UMA MENSAGENS ABERTA NESTA PASTA E NAS SUAS FILHAS
+
+					if(valid_tabs(target.draggable.parent().find("li"), folder_to_move)){
+						return;
+					}
+					//FIM : VERIFICA SE EXISTE UMA MENSAGENS ABERTA NESTA PASTA E NAS SUAS FILHAS;
+					
+					// VALIDA SE O USUARIO ESTA TENTANDO MOVER A PASTA PARA O MESMO LOCAL
+					if(teste == folder_to_move){
+						return alert(get_lang("Thie folder is already in this place"));
+					}
+					
+					// VALIDA SE O USUARIO ESTA TENTANDO MOVER A PASTA ABERTA NO MOMENTO
+					if(folder_to_move == get_current_folder()){
+						return alert(get_lang("It's not possible move this folder, because it is being used in the moment!"));
+					}
+					
+					// VALIDA SE O USUARIO ESTA TENTANDO MOVER UMA PASTA FILHA DA PASTA ABERTA NO MOMENTO
+					if(target.draggable.parent().find(".selected")[0]){
+						return alert(get_lang("It's not possible move this folder, because its subfolder is being used in the moment!"));
+					}
+					
+					// VALIDA SE O USUARIO ESTA TENTANDO MOVER UMA PASTA PAI PARA DENTRO DE UMA FILHA
+					if(target.draggable.parent().find('[id="'+folder_to+'"]')[0]){
+						return alert(get_lang("It's not possible to move this folder to its subfolders!"));
+					}
+					//teste = teste.split(cyrus_delimiter);
+					
+					if($('[id="'+teste+'"]').length){
+						return alert(get_lang("Can not move this folder to this location, because the target has already a folder with this name"));
+					}
+					
+					$(me.target).addClass("folders_loading");
+					
+					$.ajax({
+						url : "controller.php?action=$this.imap_functions.move_folder&folder_to_move="+folder_to_move+"&folder_to="+folder_to,
+						success : function(){
+							cExecute("$this.imap_functions.get_folders_list&onload=true", update_menu);
+							write_msg(get_lang("The folder was successfully moved"));
+						}
+					});
+				}
+			}
+		}).hover(
+			function(){
+				//CASO A LI NÃO TENHA UM MENU FLUTUANTE AINDA, O MENU É ADICIONADO!
+				if(!$(this).children(":last").hasClass("float-menu") && !$(this).children(":last").hasClass("new_folder")){
+					var folder_ = $(this);
+					var folder_name;
+					if(folder_.parent().attr('id')){
+						folder_name = folder_.parent().attr('id').split(cyrus_delimiter);
+						folder_name = folder_name[folder_name.length -1];
+					}else
+						folder_name = "Root";
+					DataLayer.render("../prototype/modules/mail/templates/float_folder_menu.ejs", {name_folder : folder_name}, function(html){						
+						//FUNÇÃO DO MENU FLUTUANTE EDITAR < BEGIN
+						$(folder_).append(html).find(".float-menu-edit").click(function(){
+							var folder_id = $(this).parents(".closed:first").attr('id');
+							var name = $.trim($(this).parents(".closed:first").find("span:first").text().split("[")[0]);
+							if($(this).parents(".closed:first").find("span:first").hasClass("selected"))
+								return alert(get_lang("It's not possible rename this folder, because it is being used in the moment!"));
+							if($(this).parents(".closed:first").find(".selected").length)
+								return alert(get_lang("It's not possible rename this folder, because its subfolder is being used in the moment!"));
+							$(this).parents(".closed:first").find("span:first").empty().append("<input class='new_folder folder' type='text' maxlength='100'></input>")
+							$(".new_folder").focus().keydown(function(event){
+								if(event.keyCode == 13){
+									if($(this).val() != ""){
+										if($(this).val().match(/[\/\\\!\@\#\$\%\&\*\+\(\)]/gi)){
+											return alert(get_lang("cannot create folder. try other folder name"));
+										}
+										var new_name = folder_id.replace(/[a-zA-Z0-9á-úÁ-Ú]+$/gi, $(this).val());
+										if($('[id="'+new_name+'"]').length){
+											$(".folders_loading").removeClass("folders_loading");
+											write_msg(get_lang("Mailbox already exists"));
+											return draw_new_tree_folder();
+										}
+										$(".new_folder").parent().addClass("folders_loading");
+										$.ajax({
+											url : "controller.php?action=$this.imap_functions.ren_mailbox",
+											type : "POST",
+											data : "current="+folder_id+"&rename="+new_name,
+											success : function(){
+												write_msg(get_lang("The folder was successfully rename"));
+												cExecute("$this.imap_functions.get_folders_list&onload=true", update_menu);
+											}
+										});
+									}
+								}else if( event.keyCode == 27){
+									if(confirm(get_lang("Do you want to cancel the folder edition?")))
+										draw_new_tree_folder();
+									else{
+										$(".new_folder").focus().val(name);
+									}
+								}
+							}).focusout(function(){
+								if(confirm(get_lang("Do you want to cancel the folder edition?")))
+									draw_new_tree_folder();
+								else{
+									$(".new_folder").focus().val(name);
+								}
+							}).val(name);
+						})
+						//FUNÇÃO DO MENU FLUTUANTE EDITAR < END
+						//FUNÇÃO DO MENU FLUTUANTE EXCLUIR < BEGIN
+						.end().find(".float-menu-remove").click(function(){
+							
+							var folder_id = $(this).parents(".closed:first").find(".folder").addClass("folders_loading").end().attr('id');
+							var folder_name = $.trim($(this).parents(".closed:first").find(".folder").text().split("[")[0]);
+							if($(this).parents(".closed:first").find("ul").length){
+								$(this).parents(".closed:first").find(".folder").removeClass("folders_loading");
+								return alert(get_lang("Delete/move subfolders first"));
+							}
+							if($(this).parents(".closed:first").find(".selected").length){
+								$(this).parents(".closed:first").find(".folder").removeClass("folders_loading");
+								return alert(get_lang("It's not possible delete this folder, because it is being used in the moment!"));
+							}
+							var confirm_text = get_lang("Do you wish to exclude the folder ");
+							if(!confirm(confirm_text + folder_name)){
+								$(this).parents(".closed:first").find(".folder").removeClass("folders_loading");
+								return;
+							}
+							$.ajax({
+								url : "controller.php?action=$this.imap_functions.delete_mailbox",
+								type: "POST",
+								data : "del_past="+folder_id,
+								success : function(data){
+									data = connector.unserialize(data);
+									if(data == "Mailbox does not exist"){
+										$(".folders_loading").removeClass("folders_loading");
+										return write_msg(get_lang("Mailbox does not exist"));
+									}
+									write_msg(get_lang("The folder %1 was successfully removed", folder_name));
+									cExecute("$this.imap_functions.get_folders_list&onload=true", update_menu);
+								}
+							});
+							
+						})
+						//FUNÇÃO DO MENU FLUTUANTE EXCLUIR < END
+						//FUNÇÃO DO MENU FLUTUANTE NOVA PASTA < BEGIN
+						.end().find(".float-menu-new").click(function(){
+							var selected_li = $(this).parents(".closed:first");
+							if(selected_li.find("ul:first").length){
+								var new_folder = $("<li><input class='new_folder folder' type='text' maxlength='100'></input></li>").appendTo(selected_li.find("ul:first"));								
+								if(selected_li.find(".expandable-hitarea").length){
+									selected_li.find(".expandable-hitarea").trigger('click');
+								}
+								selected_li.find("ul:first").treeview({
+									add: new_folder
+								});
+							}else if(selected_li.length){
+								var new_folder = $("<ul><li><input class='new_folder folder' type='text' maxlength='100'></input></li></ul>").appendTo(selected_li);								
+								selected_li.treeview({
+									add: new_folder
+								});
+							}else{
+								selected_li = $(this).parents(".head_folder").parent();
+								if($(this).parents(".head_folder").parent().find(".expandable-hitarea").length){
+									$(this).parents(".head_folder").parent().find(".expandable-hitarea").trigger('click');
+								}
+								var new_folder = $("<ul><li><input class='new_folder folder' type='text' maxlength='100'></input></li></ul>").appendTo(selected_li);								
+								selected_li.treeview({
+									add: new_folder
+								});
+							}
+							selected_li.find(".new_folder").Watermark("Nova Pasta").focus().keydown(function(event){
+								if(event.keyCode == 13){
+									if($(this).val().match(/[\\\!\@\#\$\%\&\*\+\(\)]/gi)){
+										return alert(get_lang("cannot create folder. try other folder name"));
+									}
+									$(".new_folder").parent().addClass("folders_loading");
+									$.ajax({
+										url : "controller.php?action=$this.imap_functions.create_mailbox",
+										type : "POST",
+										data : "newp="+($(this).val() != "" ? $(this).val() : get_lang("New Folder"))+"&base_path="+(selected_li.attr('id')? selected_li.attr('id') : "INBOX"),
+										success : function(data){
+											data = connector.unserialize(data);
+											if(data == "Mailbox already exists"){
+												write_msg(get_lang("Mailbox already exists"));
+											}
+											cExecute("$this.imap_functions.get_folders_list&onload=true", update_menu);
+										}
+									});
+								}else if( event.keyCode == 27){
+									if(confirm(get_lang("Do you want to cancel the folder creation?")))
+										cExecute("$this.imap_functions.get_folders_list&onload=true", update_menu);
+								}
+							}).focusout(function(){
+								if(confirm(get_lang("Do you want to cancel the folder creation?")))
+									cExecute("$this.imap_functions.get_folders_list&onload=true", update_menu);
+							});
+						});
+						//FUNÇÃO DO MENU FLUTUANTE NOVA PASTA < END
+					});
+				}
+				if(!$(".new_folder").length)
+					$(this).find(".float-menu:first").removeClass("hidden");
+			},
+			function(){
+				$(this).find(".float-menu:first").addClass("hidden");
+			}
+		);
+		$("#new_m").html($('.selected').find(".folder_unseen").html() ? $('.selected').find(".folder_unseen").html() : "0").css("color", "red");
+		if(init_tree < 2){
+			init_tree++;
+			cExecute("$this.imap_functions.get_folders_list&onload=true", update_menu);
+		}
+	});
+	
+	//TODO : REMOVER VC DAQUI
+	//TO-DO : Finalizar Mouse over da barra de pastas.
+	/*$(".collapse_folders_td").mouseenter(function(){
+		if($(".collapse_folders").attr('title') == "Expandir"){
+			$("#folderscol").removeClass( "hidden");
+			resizeWindow();
+			$("#folderscol").mouseleave(function(){
+				if($(".collapse_folders").attr('title') == "Expandir"){
+					$("#folderscol").addClass( "hidden");
+					resizeWindow();
+				}
+			});
+		}
+		
+	});*/
+
+//}refresh();
+}
Index: trunk/prototype/modules/mail/templates/draggin_box.ejs
===================================================================
--- trunk/prototype/modules/mail/templates/draggin_box.ejs	(revision 5486)
+++ trunk/prototype/modules/mail/templates/draggin_box.ejs	(revision 5486)
@@ -0,0 +1,11 @@
+<div class="draggin_box">
+	<span class="ui-icon ui-icon-grip-dotted-vertical" style="float: left; text-align: right;"></span>  
+	<span class="
+		 <% if(data.type == 'folder') {%>
+			draggin_folder
+		 <%}else{%>
+			draggin_mail
+		 <%}%>
+		 "><%= data.texto %>
+	</span>  
+ </div>
Index: trunk/prototype/modules/mail/templates/detailedfoldertree.ejs
===================================================================
--- trunk/prototype/modules/mail/templates/detailedfoldertree.ejs	(revision 5486)
+++ trunk/prototype/modules/mail/templates/detailedfoldertree.ejs	(revision 5486)
@@ -0,0 +1,54 @@
+<%
+	var specialFolders = {
+			INBOX: {name:'Caixa de Entrada', classe:'inbox'}, 
+			Inbox: {name:'Caixa de Entrada', classe:'inbox'}, 
+			Trash: {name:'Lixeira', classe:'trash'}, 
+			Drafts:{name:'Rascunhos', classe:'drafts'}, 
+			Spam:  {name:'Spam', classe:'spam'}, 
+			Sent:  {name:'Enviados', classe:'sent'}
+		};
+
+	function recursive_forest(array_trees)
+	{
+	  %><ul><%
+	
+	      for(var i=0; i<array_trees.length; i++)
+	      {
+		  folder_class = '';
+		  folder_name = array_trees[i].commonName;
+
+		  if( specialFolders[folder_name] ){
+		      folder_class = specialFolders[folder_name].classe;
+		      folder_name = specialFolders[folder_name].name;
+		  }
+
+		  %><li id="<%= array_trees[i].id %>" class="closed"><span class="folder <%= folder_class %>" title="<%= folder_name %>" style="text-align : left; position : relative;"><%= folder_name %>
+		  <% if(array_trees[i].messageCount.unseen > 0){	%>
+			<span style="text-align : left;">[<label id="dftree_<%= array_trees[i].id%>_unseen" class="folder_unseen" style="color : red; text-align : left;"><%= array_trees[i].messageCount.unseen %></label>]</span>
+		  <% }	%>
+		  </span>
+		  <%
+		  if (array_trees[i].children.length>0)
+			  recursive_forest(array_trees[i].children);
+
+		  %></li><%
+	      }
+ 
+	  %></ul><%
+	}
+%>
+<ul class="filetree foldertree-skin-prognus mainfoldertree">
+  <li><span class="folder head_folder">Minhas Pastas</span>
+      <% recursive_forest(data.folders[0]); %>
+  </li>
+  <% if(data.folders[1].length > 0) { %>
+  <li><span class="folder head_folder">Pastas compartilhadas</span>
+      <% recursive_forest(data.folders[1]); %>
+  </li> 
+  <%}%>
+  <% if(preferences.use_local_messages == 1) { %>
+  <li><span class="folder head_folder">Pastas locais</span>
+      <% recursive_forest(data.folders[2]); %>
+  </li>
+  <%}%>
+</ul>
Index: trunk/prototype/modules/attach_message/attach_message.css
===================================================================
--- trunk/prototype/modules/attach_message/attach_message.css	(revision 5457)
+++ trunk/prototype/modules/attach_message/attach_message.css	(revision 5486)
@@ -1,8 +1,8 @@
 .foldertree-skin-prognus span.selected {font-weight:bold;}
 .foldertree-skin-prognus span.inbox {}
-.foldertree-skin-prognus span.trash {background-image: url(images/bin.png);}
-.foldertree-skin-prognus span.drafts {background-image: url(images/folder_page_white.png);}
-.foldertree-skin-prognus span.spam {background-image: url(images/folder_delete.png);}
-.foldertree-skin-prognus span.sent {background-image: url(images/folder_go.png);}
+.foldertree-skin-prognus span.trash {background-image: url(images/bin.png)!important;}
+.foldertree-skin-prognus span.drafts {background-image: url(images/folder_page_white.png)!important;}
+.foldertree-skin-prognus span.spam {background-image: url(images/folder_delete.png)!important;}
+.foldertree-skin-prognus span.sent {background-image: url(images/folder_go.png)!important;}
 .foldertree-skin-prognus span.folder {display: block;padding-bottom: 1px;padding-left: 18px;padding-right: 0;padding-top: 1px;}
 .treeview .closed {display:block;}